# $Revision: 1.7 $, $Date: 2012/05/08 20:09:49 $
Summary:	Cross Mingw64 GNU development utilities - headers
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla Mingw64 - pliki nagłowkowe
Name:		crossmingw64-headers
Version:	2.0
Release:	2
License:	ZPL v2.1 with parts on Public Domain, BSD and LGPL.
Group:		Development/Tools
# svn co https://mingw-w64.svn.sourceforge.net/svnroot/mingw-w64/stable/v2.x/mingw-w64-headers mingw64-headers
%define		_rev	4984
Source0:	mingw64-headers.tar.xz
# Source0-md5:	dbe08af294074f515632a518245a8b7b
URL:		http://mingw-w64.sourceforge.net/
BuildRequires:	automake
BuildRequires:	subversion
AutoReqProv:	no
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%define		target		x86_64-w64-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw64 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw64 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to x86_64-pc-mingw32,
along with supporting Win64 libraries in PE32+ format from free
sources.

This package contains cross targeted headers for Win64.

%description -l pl.UTF-8
crossmingw64 jest kompletnym systemem do skrośnej kompilacji,
pozwalającym budować aplikacje MS Windows pod Linuksem używając
bibliotek mingw64. System składa się z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujące kod dla platformy x86_64-pc-mingw32,
oraz z bibliotek w formacie PE32+.

Ten pakiet zawiera pliki nagłówkowe dla Win64.

%prep
%setup -q -n mingw64-headers
if [ "`svnversion -n`" != "%{_rev}" ]; then
	exit 1
fi
cp include/ChangeLog ChangeLog.headers
cp direct-x/ChangeLog ChangeLog.direct-x-headers

%build
./configure \
	--prefix=%{_prefix} \
	--build=%{_target_platform} \
	--host=%{target} \
	--enable-sdk=all

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog ChangeLog.direct-x-headers ChangeLog.headers
%{arch}/include

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw64-headers.spec,v $
Revision 1.7  2012/05/08 20:09:49  pluto
- updated, release 2.

Revision 1.6  2012/01/19 18:30:59  pluto
- release 1.

Revision 1.5  2012/01/18 19:15:05  pluto
- switch to stable v2.x branch.
- switch to *-w64-* target triplet (required for 'gcc -municode' support / *-pc-* is a cygwin compatible w/o unicode).
- release 0.1 so far.

Revision 1.4  2011/04/10 07:58:05  pluto
- BR: subversion for 'svnversion' in %%prep.

Revision 1.3  2011/04/10 07:49:24  pluto
- updated to v1.0 @r4121, release 2.

Revision 1.2  2010/09/26 11:39:59  pluto
- adjust desc, install changelogs, drop debuginfo package, release 1.

Revision 1.1  2010/09/26 11:09:04  pluto
- initial dropin.
